recipes/config/routes.rb
Rails.application.routes.draw do
  devise_for :users, controllers: {registrations: 'registrations'}

  resources :users, only: [:show] do
    member do
      post 'create_favorite'
      delete 'delete_favorite'
    end
  end

  resources :recipes do
    member do
      get 'send_to_friend', as: :send_to_friend
      post 'mail_to_friend', as: :mail_to_friend
    end
  end

  resources :food_preferences, only: [:show, :new, :create]
  resources :food_types, only: [:show, :new, :create]
  resources :kitchens, only: [:show, :new, :create]
  root 'recipes#index'

end

recipes/app/models/food_preference.rb
class FoodPreference < ActiveRecord::Base
  validates :name, presence:{ message: "Must give the food preference\'s name!" }
  validates :name, uniqueness: {message: "This preference already exists!"}
  validates :name, length: {
    maximum: 30,
    too_long: "Name is too long, must have at least %{count} characters"
  }
  has_many :recipes
end

recipes/app/controllers/food_preferences_controller.rb
class FoodPreferencesController < ApplicationController
  before_action :only_admin!, only: [:new, :create]
  def new
    @food_preference = FoodPreference.new
  end

  def create
    @food_preference = FoodPreference.create food_preference_params
    respond_with @food_preference
  end

  def show
    @food_preference = FoodPreference.find(params[:id]).decorate
  end

  private

  def food_preference_params
    params.require(:food_preference).permit(:name)
  end
end

recipes/app/views/food_preferences/_food_preference.html.erb
<%= link_to food_preference.name, food_preference_path(food_preference), class: 'btn aside-link' %>

recipes/app/views/food_preferences/new.html.erb
<section class='col-md-4 col-xs-12'>
  <div class='errors alert'>
  <% if @food_preference.errors.any? %>
    <% @food_preference.errors.full_messages.each do |err| %>
      <%= err %>
    <% end %>
  <% end %>
  </div>
  <div class='form'>
    <%= form_for @food_preference do |f| %>
      <div class='field form-group'>
        <%= f.label :name %>
        <%= f.text_field :name, class:'form-control' %>
      </div>

      <div class='field form-group'>
        <%= f.submit 'Criar nova preferência', class:'btn btn-default' %>
      </div>

    <% end %>
  </div>
</section>

recipes/app/views/food_preferences/show.html.erb
<%= @food_preference.list_recipes %>